OSXでComposerを導入した

Macでcomposerをインストールする際にPHPのビルドが失敗したのでメモ。 composer はJSONでPHPのコンポーネントを管理するツールだが今回の内容とは関係がない。

問題

composerのインストールのために brew install php55 したところ失敗。

原因

Command Line Tools がOS Updateで消えていた。昔と違い Xcode からインストール出来ない。

解決した手順

xcode-selectコマンドを利用して必要なビルドツールをインストールする。 xcode-selectはXcodeの利用バージョンを切り替えるツールらしい。

1234
$ sudo xcode-select
$ xcode-select --install
$ brew install php55
$ brew install composer
comments powered by Disqus